﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace C1DateEdit
{
    public partial class Form1 : Form
    {
        DateTime date = DateTime.Today;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            c1DateEdit1.Value = date;
            c1DateEdit1.Validating += C1DateEdit1_Validating;
            c1DateEdit1.ValidationError += C1DateEdit1_ValidationError;
            c1DateEdit1.PostValidation.Intervals.Add(new C1.Win.C1Input.ValueInterval(DateTime.Today, DateTime.Today.AddDays(15), true, true));
            c1DateEdit1.ErrorInfo.ShowErrorMessage = false;
        }
        private void C1DateEdit1_ValidationError(object sender, C1.Win.C1Input.ValidationErrorEventArgs e)
        {
            c1DateEdit1.Value = date;
        }
        private void C1DateEdit1_Validating(object sender, CancelEventArgs e)
        {
            date = Convert.ToDateTime(c1DateEdit1.Value);
        }      
    }
}
